package imo;

import mine.Mine;

import java.awt.*;
import java.awt.event.KeyListener;
import java.awt.event.KeyEvent;

public class EndPaint implements PaintListener {

    MainWorks mw;

    private boolean trueFlag;
    private int count;
    private int type;

    /*** Constructer *****************************/

    EndPaint( MainWorks mw, int type ){
	this.mw = mw;
	this.type = type;
	trueFlag = (type == 5);
	count = 0;
    }

    /*** Paint ***********************************/

    public void paint( Graphics g ){
	int size = Math.min( 320, count*6 );
	if( trueFlag ){
	    g.drawImage( Images.endi, 0, 0, 300, size, 180, 0, 480, size, null );
	}else {
	    g.drawImage( Images.endi, 0, 0, 300, size, 0, 0, 300, size, null );
	}
	if (count/12%2 == 0) {
	    g.setColor( Color.black );
	} else {
	    g.setColor( new Color( 180, 240, 180 ) );
	}
	Mine.setAntialias( g, true );
	g.setFont(Mine.getFont(14));
	g.drawString("press  C  to close", 20, 290 );
    }

    /*** Key **********************************************/

    public void keyReleased( KeyEvent e ){}
    public void keyPressed( KeyEvent e ){
	switch (e.getKeyCode()) {
	case KeyEvent.VK_C:
	case KeyEvent.VK_SPACE:
	    mw.gameExit();
	    break;
	case KeyEvent.VK_X:
	case KeyEvent.VK_ESCAPE:
	    mw.gameStart();
	    break;
	}
    }

    /*** MainLoop *****************************************/

    public void run(){
	mw.sleep(30);
	mw.repaint();
	count++;
    }
}


	
