package mine;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class ButtonDialog extends JDialog implements ActionListener {

    private JPanelBase jp;
    private ActionListener al;
    private int n;

    /*** Constructer *******************************/

    public ButtonDialog( Frame f, ActionListener al ){
	super( f, true );
	this.al = al;
	jp = new JPanelBase();
	setContentPane(jp);
	n = 0;
    }

    /*** Show *****************************************/

    public void show(){
	pack();
	Mine.setCenter(this);
	super.show();
    }

    /*** Add *****************************************/

    public void add( String name, String command ){
	JButton jb = new JButton(name);
	jb.setActionCommand( command );
	jb.addActionListener(al);
	jb.addActionListener(this);
	jp.add( jb, n%2, n/2, 1, 1 );
	n++;
    }
	
    public void add( String name ){
	add( name, name );
    }

    /*** Dispose when button pressed  ************************/

    public void actionPerformed( ActionEvent e ){
	dispose();
    }
}
