package mine;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class JPanelBase extends JPanel {

    public static final int NONE = GridBagConstraints.NONE;
    public static final int BOTH = GridBagConstraints.BOTH;
    public static final int HORIZONTAL = GridBagConstraints.HORIZONTAL;
    public static final int VERTICAL = GridBagConstraints.VERTICAL;

    GridBagLayout layout;
    GridBagConstraints c;

    /*** Constructer **********************************************/

    public JPanelBase(){
	super();
	layout = new GridBagLayout();
	c = new GridBagConstraints();
	setFill( BOTH );
	setLayout(layout);
    }

    /*** Layout *************************************************/

    public void add( Component obj, int x, int y, int xs, int ys ){
	add( obj, x, y, xs, ys, 0, 0 );
    }
	
    public void add( Component obj, int x, int y, int xs, int ys, int wx, int wy ){
	c.gridx = x;
	c.gridy = y;
	c.gridwidth = xs;
	c.gridheight = ys;
	c.weightx = wx;
	c.weighty = wy;
	layout.setConstraints( obj, c );
	add( obj );
    }

    /*** Fill ******************************************************/

    public void setFill( int f ){
	c.fill = f;
    }
}
