package imo;

import mine.*;
import java.awt.*;
import javax.swing.*;

public class ImoDialog extends JDialog implements ImoListener {

    private boolean life; 
    private int exp;

    /*** Constructer *******************************/

    public ImoDialog( Frame f, String name, int level ){
	super( f, true );
	setTitle("ImoGari");
	MainPanel mp = new MainPanel(this, name, level);
	setContentPane(mp);
    }

    /*** Show **************************************/

    public void show(){
	life = false;
	exp = 0;
	pack();
	Mine.setCenter(this);
	super.show();
    }

    /*** Get EXP *****************************/

    public int getEXP(){
	if( life ) return exp;
	return 0;
    }

    /*** Game Exit **********************************/

    public void gameExit( int exp ){
	this.life = true;
	this.exp = exp;
	dispose();
    }
}
