package imo;

import mine.Mine;

import java.awt.*;
import java.awt.event.KeyListener;
import java.awt.event.KeyEvent;

public class StartPaint implements PaintListener {

    private MainWorks mw;
    private int count;

    StartPaint( MainWorks mw ){
	this.mw = mw;
	count = 0;
    }

    /*** Paint **********************************************/

    public void paint( Graphics g ){
	g.setColor( Color.black );
	g.setFont(Mine.getFont(14));
	g.drawString(Texts.sousa, 200, 240 );
	g.drawString(Texts.kougeki, 200, 260 );
	g.drawString(Texts.ido, 200, 280 );
 	Mine.setAntialias( g, true );

	if (count/12%2 == 0) {
	    g.setColor( Color.black );
	} else {
	    g.setColor( new Color( 180, 240, 180 ) );
	}
	g.drawString("press  Z  to start", 100, 140 );
    }

    /*** MainLoop ******************************************/

    public void run(){
	mw.sleep(30);
	mw.repaint();
	count++;
    }

    /*** Key **********************************************/

    public void keyReleased( KeyEvent e ){}
    public void keyPressed( KeyEvent e ){
	switch (e.getKeyCode()) {
	case KeyEvent.VK_Z:
	case KeyEvent.VK_ENTER:
	    mw.gameStart();
	    break;
	}
    }

}


	
