package mine;

import java.util.Vector;
import java.awt.*;

public class FreeLayout implements LayoutManager {

    private Vector Components;
    private int width, height;

    public FreeLayout( int width, int height ){
	this.width = width;
	this.height = height;
	Components = new Vector();
    }

    public void addLayoutComponent( String name, Component c ){
	Components.add(c);
    }

    public void removeLayoutComponent( Component c ){
	Components.remove(c);
    }

    public Dimension preferredLayoutSize( Container parent ){
	return new Dimension( width, height );
    }

    public Dimension minimumLayoutSize( Container parent ){
	return new Dimension( width, height );
    }

    public void layoutContainer( Container parent ){
    }
}
