package mine;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class JFrameBase extends JFrame {
    
    public JFrameBase(String title){
	super(title);
	enableEvents(AWTEvent.WINDOW_EVENT_MASK);
    }

    /*** Display on Center *********************************/

    public void display(){
	pack();
	Mine.setCenter(this);
	setVisible(true);
    }

    /*** Exit when Window closed **************************/

    protected void processWindowEvent(WindowEvent e) {
	super.processWindowEvent(e);
	if (e.getID() == WindowEvent.WINDOW_CLOSING) {
	    System.exit(0);
	}

    }

}

